Bug 1462766 - [RFE] Provide automation for host OS updates [NEEDINFO]
[RFE] Provide automation for host OS updates
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.9.0
Assigned To: Brenton Leanhardt
Xiaoli Tian
Depends On:
  Show dependency treegraph
Reported: 2017-06-19 09:32 EDT by Marko Myllynen
Modified: 2018-01-25 17:03 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
erich: needinfo? (bleanhar)

Attachments (Terms of Use)

  None (edit)
Description Marko Myllynen 2017-06-19 09:32:19 EDT
Description of problem:
https://docs.openshift.com/container-platform/latest/install_config/upgrading/os_upgrades.html describes how to apply OS updates on OCP nodes. Especially if the number of nodes is large, manual approach is not feasible.

This should be fully automated.

There is already a playbook doing this automatically, perhaps it could be used for inspiration here:


Comment 1 Brenton Leanhardt 2017-07-13 09:12:18 EDT
Since as you mention this problem is most exaggerated for large installations, we're focusing our improvements in this area on using "golden images" to allow for efficient blue/green updates whether it's for the operating system or for OpenShift.  This is the direction we're going for OpenShift Online and we will encourage large OCP clusters to use them as well once they're available.
Comment 2 Juan Luis de Sousa-Valadas 2017-10-27 08:41:26 EDT
Golden images aren't a suitable solution unless OpenShift is deployed on an IaaS. For physical hosts blue/green isn't suitable.
Comment 9 jtudelag 2017-12-22 06:39:29 EST
Upstream PR here: https://github.com/openshift/openshift-ansible/pull/6558

Note You need to log in before you can comment on or make changes to this bug.